> ## Documentation Index
> Fetch the complete documentation index at: https://docs.podcastor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List user voices

> List user voices from the shared Web asset library.

MCP tool: `podcast_list_user_voices`. OAuth scope: `asset.read`.


## OpenAPI

````yaml api-reference/openapi.json GET /open/podcast/v1/voices/custom
openapi: 3.0.3
info:
  description: >-
    Atomic Podcast capabilities. Credits, tasks and assets are shared with the
    Web account and Space.
  title: Podcastor API
  version: 1.0.0
servers:
  - url: https://api-services.podcastor.ai
    description: Podcastor API
security: []
paths:
  /open/podcast/v1/voices/custom:
    get:
      tags:
        - Podcast
      summary: list user voices
      description: List user voices from the shared Web asset library.
      operationId: podcast_list_user_voices
      parameters:
        - description: elevenlabs标签 口音
          in: query
          name: accent
          schema:
            type: string
        - in: query
          name: age
          schema:
            type: string
        - in: query
          name: favorite
          schema:
            type: boolean
        - description: 性别 Male or Female
          in: query
          name: gender
          schema:
            type: string
        - in: query
          name: language
          schema:
            type: string
        - in: query
          name: language_only
          schema:
            type: string
        - in: query
          name: provider
          schema:
            type: string
        - in: query
          name: search
          schema:
            type: string
        - in: query
          name: type
          schema:
            type: string
        - in: query
          name: uid
          schema:
            type: integer
        - description: elevenlabs标签 用途
          in: query
          name: use_case
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/echo.JSON'
                  - properties:
                      data:
                        $ref: '#/components/schemas/vo.ListTimbreResp'
                    type: object
          description: OK
      security:
        - ApiKey: []
components:
  schemas:
    echo.JSON:
      properties:
        cause:
          type: string
        code:
          type: integer
        data: {}
        details: {}
        msg:
          type: string
        rid:
          type: string
      type: object
    vo.ListTimbreResp:
      properties:
        timbres:
          items:
            $ref: '#/components/schemas/vo.PrjTimbreListResp'
          type: array
        total:
          type: integer
      type: object
    vo.PrjTimbreListResp:
      properties:
        accent:
          description: elevenlabs标签 口音
          type: string
        age:
          description: elevenlabs标签 年龄
          type: string
        api_key:
          type: string
        args:
          description: 声音人参数
          items:
            type: object
          type: array
        audition_path:
          type: string
        audition_url:
          type: string
        category:
          description: 音色类别
          type: string
        cloned_args:
          $ref: '#/components/schemas/model.PrjTimbreClonedArgs'
        cloned_file:
          description: 克隆文件
          type: string
        create_from:
          description: 1后台录入 2声音克隆 3视频翻译
          type: integer
        create_time:
          type: integer
        default_speed:
          description: 默认语速
          type: number
        desc:
          description: 声音人说明
          type: string
        descriptive:
          description: elevenlabs标签 描述
          type: string
        external_lang_id:
          description: 外部音色ID
          type: string
        external_status:
          description: 外部状态 是否在槽位，1 正常 2 不可用
          type: integer
        gender:
          description: 性别 Male or Female /elevenlabs有标签的话会用 性别
          type: string
        grade:
          description: 0 启用； 1 禁用
          type: integer
        id:
          type: integer
        is_mine:
          description: 是否是我
          type: boolean
        is_recommend:
          description: 是否推荐音色：0否 1是
          type: integer
        keywords:
          description: 声音人关键词
          items:
            type: object
          type: array
        lang:
          description: cn 中文； en 英文
          type: string
        langID:
          type: string
        name:
          type: string
        order:
          type: integer
        ori_cloned_file:
          description: 原始音频
          type: string
        owner_avatar:
          description: 创建者头像
          type: string
        owner_nick_name:
          description: 创建者昵称
          type: string
        payment_id:
          description: 支付ID
          type: string
        provider:
          description: 供应商，给前端展示用的，实际供应商参考 type 字段 elevenlabs minimax hume_ai listen_hub
          type: string
        recent_voice_id:
          description: 最近一次克隆的voice_id
          type: string
        space_id:
          description: spaceID
          type: integer
        status:
          description: 0 启用； 1 禁用
          type: integer
        tags:
          description: 标签
          items:
            type: string
          type: array
        text:
          type: string
        third_api_key_id:
          description: 第三方音色 APIkey 记录的ID，对应third_party_voice ID
          type: integer
        type:
          description: 声音人类型： microsoft
          type: string
        unique_id:
          type: string
        update_time:
          type: integer
        use_case:
          description: elevenlabs标签 用途
          type: string
        user_id:
          description: 用户ID 默认为0 非0代表用户音色
          type: integer
      type: object
    model.PrjTimbreClonedArgs:
      properties:
        labels:
          description: 内部音色标签，腾讯 VoiceProfile.Labels 直接透传
          items:
            type: string
          type: array
        remove_background_noise:
          description: 移除背景噪音
          type: boolean
        scenes:
          description: 内部使用场景，腾讯 VoiceProfile.Scenes 直接透传
          items:
            type: string
          type: array
      type: object
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````